Bug 8650 - Update swordappv2 library
Update swordappv2 library
Status: NEW
Product: OJS
Classification: Unclassified
Component: Plug-ins
2.4.x
All All
: P3 normal
Assigned To: Jen Whitney
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-27 06:37 PDT by Jen Whitney
Modified: 2014-06-26 16:08 PDT (History)
2 users (show)

See Also:
Version Reported In:
Also Affects:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jen Whitney 2014-03-27 06:37:24 PDT
Update swordappv2 library submodule to include changes made to support the Dataverse plugin.
Comment 1 Jen Whitney 2014-03-27 06:45:03 PDT
Update swordappv2 library
https://github.com/pkp/pkp-lib/commit/1a514a5ccef5d814dd5610906bd534ea002eab89
Comment 2 Alec Smecher 2014-06-05 12:37:03 PDT
Pull request opened (not merged):
Update swordappv2 library
https://github.com/pkp/pkp-lib/pull/99
Comment 3 Jen Whitney 2014-06-05 12:53:13 PDT
I submitted an earlier pull request to update the swordappv2 library (https://github.com/pkp/pkp-lib/pull/73) against the wrong branch. The swordappv2 lib in OJS 2.4.4 doesn't include changes required by the Dataverse plugin.

Patch to update the swordappv2 library in OJS 2.4.4:

https://github.com/swordapp/swordappv2-php-library/compare/b75b260b6edf852a...master.patch
Comment 4 Alec Smecher 2014-06-05 13:03:02 PDT
Pull request closed (merged):
Update swordappv2 library
https://github.com/pkp/pkp-lib/pull/99
Comment 5 Jen Whitney 2014-06-05 13:03:02 PDT
Update swordappv2 library
https://github.com/pkp/pkp-lib/commit/26854b2453bded510d9f15c0385f46bdb3208d58
Comment 6 Alec Smecher 2014-06-25 08:35:50 PDT
Jen, is this entry complete?
Comment 7 Jen Whitney 2014-06-26 16:08:17 PDT
Yes, this submodule update pulls in what's needed by the Dataverse plugin & some error handling cleanup.